Bug 573871 - [abrt] crash in blueman-1.10-4.fc12
[abrt] crash in blueman-1.10-4.fc12
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-03-15 19:40 EDT by Mario Chacon
Modified: 2010-12-03 12:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-03 12:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.29 KB, text/plain)
2010-03-15 19:40 EDT, Mario Chacon
no flags Details

  None (edit)
Description Mario Chacon 2010-03-15 19:40:25 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/blueman-browse 
comment: Error sending a file
component: blueman
executable: /usr/bin/blueman-browse
package: blueman-1.10-4.fc12
release: Fedora release 12 (Constantine)
uuid: 79484ea2

Summary: TB79484ea2 DeviceList.py:324:SetAdapter:AttributeError: 'module' object has no attribute 'DBusServiceUnknownError'

Traceback (most recent call last):
  File "/usr/bin/blueman-browse", line 98, in <module>
  File "/usr/bin/blueman-browse", line 56, in __init__
    dev = self.select_device()
  File "/usr/bin/blueman-browse", line 82, in select_device
    d = DeviceSelectorDialog()
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceSelectorDialog.py", line 40, in __init__
    self.selector = DeviceSelectorWidget()
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceSelectorWidget.py", line 38, in __init__
    self.List = devlist = DeviceSelectorList(adapter)
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceSelectorList.py", line 45, in __init__
    DeviceList.__init__(self, adapter, data)
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceList.py", line 120, in __init__
  File "/usr/lib/python2.6/site-packages/blueman/gui/DeviceList.py", line 324, in SetAdapter
    except dbus.DBusServiceUnknownError:
AttributeError: 'module' object has no attribute 'DBusServiceUnknownError'

Local variables in innermost frame:
adapter: None
self: <DeviceSelectorList object at 0x9686e64 (blueman+gui+DeviceList+DeviceList at 0x96da038)>

How to reproduce
1.Sending a file to my Nexus One
Comment 1 Mario Chacon 2010-03-15 19:40:28 EDT
Created attachment 400335 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 15:34:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2010-12-03 12:16:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.